
package web;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;



/**
 *
 * @author Administrator
 */
public class RedirectUser extends HttpServlet {
    public void doGet(HttpServletRequest request,
            HttpServletResponse response)
            throws IOException, ServletException
    {
        
        HttpSession session = request.getSession();
        user user = (user) session.getAttribute("user");
        String userName = user.getUserName();
        

        String url;
        
        String type = user.getType();
        
        
        if (type.equalsIgnoreCase("A"))
        {
           
            url = "/web/MenuA.jsp";
            

        }
        else if (type.equalsIgnoreCase("B"))
        {
            
            url = "/web/MenuB.jsp";
        }
        else{

            
            url = "/web/MenuC.jsp";
        }
            

        // forward to the view
        
        RequestDispatcher dispatcher =
            getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }
}

